Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_encoding_entry Struct Reference

## Data Fields
const char * | name
rb_encoding * | enc
rb_encoding * | base

## Detailed Description

Definition at line 40 of file encoding.c.

## Field Documentation

rb_encoding* rb_encoding_entry::base

Definition at line 43 of file encoding.c.

Referenced by enc_autoload(), and set_base_encoding().

rb_encoding* rb_encoding_entry::enc

Definition at line 42 of file encoding.c.

Referenced by enc_compatible_p(), enc_find(), enc_inspect(), enc_register_at(), must_encindex(), rb_define_dummy_encoding(), rb_enc_associate_index(), rb_enc_check(), rb_enc_find_index(), rb_enc_from_encoding_index(), rb_enc_set_dummy(), rb_encdb_dummy(), and set_base_encoding().

const char* rb_encoding_entry::name

Definition at line 41 of file encoding.c.

Referenced by enc_register_at().

The documentation for this struct was generated from the following file:

- encoding.c